import {request, request_ip} from "@/request/index.js";

export const get_ec_api_env = () => {
    return request({
        url: 'ec/get_env',
        method: 'get',
    })
}

export const get_ec_api_cinema = () => {
    return request({
        url: 'ec/get_cinema_ids',
        method: 'get',
    })
}


export const get_ec_api_channel = () => {
    return request({
        url: 'ec/get_channel',
        method: 'get',
    })
}


export const get_ec_api_api = (api_type) => {
    return request({
        url: 'ec/get_api',
        method: 'get',
        params: {
            type: api_type
        }
    })
}


export const get_ec_api_api_params = (api_id) => {
    return request({
        url: 'ec/get_api_params',
        method: 'get',
        params: {
            api_id: api_id
        }
    })
}
export const get_ec_api_api_params_by_type = (api_type) => {
    return request({
        url: 'ec/get_params_by_type',
        method: 'get',
        params: {
            type: api_type
        }
    })
}

export const get_ec_api_api_group = (api_type) => {
    return request({
        url: 'ec/get_api_group',
        method: 'get',
        params: {
            type: api_type
        }
    })
}

export const get_ec_api_request_url = (req_data) => {
    return request({
        url: 'ec/get_url',
        method: 'post',
        data: {
            env: req_data.env,
            member_type: req_data.type,
            api: req_data.api,
            params: req_data.params
        }
    })
}

export const ec_api_send_request = (req_data) => {
    return request_ip({
        url: 'ec/send_request',
        method: 'post',
        data: {
            env: req_data.env,
            member_type: req_data.type,
            api: req_data.api,
            cid: req_data.cid,
            pid: req_data.pid,
            params: req_data.params,
        }
    })
}

export const ec_api_get_suggest = (api_type, api, env, cid, pid, options) => {
    let req_params = {
        member_type: api_type,
        api: api,
        env: env,
        cid: cid,
        pid: pid,
    }
    console.log('ec_api_get_suggest -- options', options)
    if (options) {
        req_params['options'] = options
    }
    return request_ip({
        url: 'ec/get_suggest_params',
        method: 'get',
        params: req_params
    })
}

export const ec_api_get_suggest_timestamp = (api_type, api, env, cid, pid, options = null) => {
    let req_params = {
        member_type: api_type,
        api: api,
        env: env,
        cid: cid,
        pid: pid,
    }
    if (options !== null) {
        req_params['options'] = options
    }
    return request_ip({
        url: 'ec/get_suggest_params_timestamp',
        method: 'get',
        params: req_params
    })
}

export const ec_api_set_user_data = (req_data) => {
    return request_ip({
        url: 'ec/set_user_data',
        method: 'post',
        data: {
            api: req_data.api,
            member_type: req_data.member_type,
            format: req_data.format,
            user_data: req_data.user_data,
            env: req_data.env,
            cid: req_data.cid,
            pid: req_data.pid,
        }
    })
}

export const ec_api_clear_user_data = (req_data) => {
    return request_ip({
        url: 'ec/clear_user_data',
        method: 'post',
        data: {
            api: req_data.api,
            member_type: req_data.member_type,
            env: req_data.env,
            cid: req_data.cid,
            pid: req_data.pid,
        }
    })
}


export const get_ec_api_get_quan = (cid, card) => {
    return request({
        url: 'ec/get_quan',
        method: 'get',
        params: {
            cid: cid,
            card_num: card
        }
    })
}
