import {request, request_ip} from "@/request/index.js";

export const cinema_list = () => {
    // console.log('cinema_list')
    return request({
        url: '/update/cinema/refresh/?ordering=ip',
        method: 'get'
    })
}

export const cinema_search = (params) => {
    const req_params = {
        ordering: 'ip',
        search: params['version'],
        ip: params['ip']
    }
    console.log(req_params)
    return request({
        url: '/update/cinema/',
        method: 'get',
        params: req_params
    })
}

export const cinema_user = () => {
    return request({
        url: `/update/user/`,
        method: 'get',
    })
}


export const change_cinema_user = (params) => {
    const cinema_id = params['id']
    const req_params = {
        id: cinema_id,
    }
    const req_data = JSON.stringify({
        'user': params['user'],
    })
    return request({
        url: `/update/update_user/`,
        method: 'post',
        params: req_params,
        data: req_data,
    })
}


export const get_update_option = () => {
    return request({
        url: `/update/get_operation_cmd/`,
        method: 'get',
    })
}

export const get_git_ver = () => {
    return request({
        url: `/update/get_git_version/`,
        method: 'get',
    })
}

export const get_update_alter = () => {
    return request({
        url: `/update/update_alter/`,
        method: 'get',
    })
}

export const write_git_version_to_db = () => {
    return request({
        url: `/update/test/write_git_version_to_db/`,
        method: 'get',
    })
}

export const handle_update = (params) => {
    return request({
        url: '/update/update_cine/',
        method: 'get',
        params: params,
        timeout: 6*60*1000,
    })
}
