import {createApp} from 'vue'
import './style.css'
import App from './App.vue'
import ElementPlus from 'element-plus'
import * as ELIcons from '@element-plus/icons-vue'
import router from './router/index.js'
import store from "@/store/index.js";
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import "element-plus/theme-chalk/el-message-box.css";
import "element-plus/theme-chalk/el-loading.css";
import "element-plus/theme-chalk/el-message.css";
import "element-plus/theme-chalk/el-notification.css";
import 'element-plus/dist/index.css'

// 引入Ace Editor
import 'ace-builds/src-noconflict/ace';
import 'ace-builds/src-noconflict/mode-json';
import 'ace-builds/src-noconflict/mode-html';
import 'ace-builds/src-noconflict/theme-chrome';
import 'ace-builds/src-noconflict/worker-base';
import 'ace-builds/src-noconflict/worker-json';
import 'ace-builds/src-noconflict/worker-html';
import 'ace-builds/src-noconflict/snippets/json';
import 'ace-builds/src-noconflict/snippets/html';
import 'ace-builds/src-noconflict/ext-searchbox';

const app = createApp(App)

for (const name in ELIcons) {
    app.component(name, ELIcons[name]);
}

app.use(router).use(store).use(ElementPlus, {locale: zhCn,}).mount('#app')
