import {createRouter, createWebHashHistory} from 'vue-router';
import Layout from '@/layout/index.vue'

const routes = [
    {
        path: '/',
        name: 'Home',
        component: Layout,
        meta:{
            keepAlive: true,
        },
        children: [
            {
                path: '/',
                name: 'hello',
                component: () => import('@/components/HelloWorld.vue'),
                meta:{
                    keepAlive: true,
                }
            },
            {
                path: 'update',
                name: 'Update',
                component: () => import('@/views/update/index.vue'),
                meta:{
                    keepAlive: false,
                }
            },
            {
                path: 'mock',
                name: 'Mock',
                component: () => import('@/views/mock/index.vue'),
                meta:{
                    keepAlive: false,
                }
            },
            {
                path: 'ec_api',
                name: 'EcApi',
                component: () => import('@/views/ec_api/index.vue'),
                meta:{
                    keepAlive: true,
                }
            }
        ]
    }
]

const router = createRouter({history: createWebHashHistory(), routes})


export default router
